## org.eclipse.datatools.sqltools.sqlbuilder.views.select
Class SelectStatementDistinctViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.datatools.sqltools.sqlbuilder.views.select.SelectStatementDistinctViewer

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener

    public class SelectStatementDistinctViewer

extends org.eclipse.jface.viewers.ContentViewer
implements org.eclipse.swt.events.SelectionListener

Create the viewer for DISTINCT checkbox

Constructor Summary
`SelectStatementDistinctViewer(SQLDomainModel sqlDomainModel)`

Method Summary
`org.eclipse.swt.widgets.Control` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Control` `getControl()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `refresh()`
`void` `setDistinct(java.lang.Object input)`
`void` `setEnabled(boolean enable)`
`void` `setInput(java.lang.Object input)`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection, boolean reveal)`
`void` `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent event)`
`void` `widgetSelected(org.eclipse.swt.events.SelectionEvent event)`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput, getLabelProvider, setContentProvider, setLabelProvider`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectStatementDistinctViewer

    public SelectStatementDistinctViewer(SQLDomainModel sqlDomainModel)

Method Detail

### setInput

    public void setInput(java.lang.Object input)

  Overrides:
    `setInput` in class `org.eclipse.jface.viewers.ContentViewer`

### refresh

    public void refresh()

  Specified by:
    `refresh` in class `org.eclipse.jface.viewers.Viewer`

### setDistinct

    public void setDistinct(java.lang.Object input)

### createControl

    public org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

### getControl

    public org.eclipse.swt.widgets.Control getControl()

  Specified by:
    `getControl` in class `org.eclipse.jface.viewers.Viewer`

### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent event)

  Specified by:
    `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent event)

  Specified by:
    `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### setEnabled

    public void setEnabled(boolean enable)

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Specified by:
    `getSelection` in class `org.eclipse.jface.viewers.Viewer`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection,
                             boolean reveal)

  Specified by:
    `setSelection` in class `org.eclipse.jface.viewers.Viewer`